Please upgrade here. These earlier versions are no longer being updated and have security issues.

Buttons don't work and are all "B"s.

This discussion is related to the Button Bar addon.

I'm trying out version 1.7.1 of Button Bar on an installation of Vanilla 2.2. When I enable the plugin, all the icons are "B" and none of them work. I think the plugin doesn't know if it should use HTML, BB or Markdown, because no message appears at the bottom of the page (like the one that says you can use simple HTML).

I'm testing this in Firefox.

Tagged:

Comments

  • LincLinc Director of Development Detroit Vanilla Staff
    edited December 2015

    Typically that means you have a Javascript error on the page, which is preventing Button Bar from loading correctly.

    You could also confirm that Garden.InputFormatter is set in your conf/config.php and/or that conf/config-defaults.php exists.

    hgtonight
  • Button bar is depreciated use Advanced Editor.

    Like linc says this usually happens becuase you have javascript errors. Check you aren't using other plugins not compatable with 2.2

    grep is your friend.

  • Thanks everyone. I really appreciate the help.

    I solved the problem by using version 1.1.

    Regarding version numbers, specifically in terms of what's on GitHub and what's on the plugin page; is version 1.1 the stable release (which is on the plugin page) and 1.7.1 (on GitHub) the development version?

    @x00 said:
    Button bar is depreciated use Advanced Editor.

    How do I know if a plugin is depricated?

    Thanks again!

  • LincLinc Director of Development Detroit Vanilla Staff

    We haven't deprecated Button Bar. Cleditor is the one we deprecated - it was removed from the core distro in 2.2. We don't have plans to remove Button Bar. You might be better served by Advanced Editor overall, but Button Bar is a very lightweight tool which is the sort of thing that is near and dear to our developer hearts at Vanilla. Advanced Editor is a behemoth by comparison. :)

    RodSloanK17
  • LincLinc Director of Development Detroit Vanilla Staff

    @RodSloan said:
    is version 1.1 the stable release (which is on the plugin page) and 1.7.1 (on GitHub) the development version?

    No, 1.7.1 is the correct stable version. I didn't even realized it was still independently listed in the addon directory. It was moved to core several years ago and probably shouldn't sit independently over there.

    RodSloan
  • Hi @RodSloan .. Where did you get the 1.1 version? I'm facing problems with the Advanced Editor 1.7.2. I'd like to try this version.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited June 2016

    @lluizfellipe said:
    Hi @RodSloan .. Where did you get the 1.1 version?

    It comes bundled with Vanilla 2.2.1

    When ever you see something like this with the buttons , that means you have a plugin that has javascript , jquery problems or a theme that is causing these issues.

    These editors all use javascript and jquery and sometimes the document ready function if it is not written like jQuery(document).ready(function($){ In other plugins or themes, It will cause other jquery to go bad in my experience. Depending on browser the buttons look different, but they are evidently being screwed up by something else.

    Disable other plugins and go to a default theme to be able to get at the root of the problem.

    BleistivtRodSloanjackmaessen
  • @vrijvlinder said:
    Disable other plugins and go to a default theme to be able to get at the root of the problem.

    This!

Sign In or Register to comment.